Skip to main content
POST
/
v0
/
issues
JavaScript
import Avido from 'avido';

const client = new Avido({
  apiKey: process.env['AVIDO_API_KEY'], // This is the default and can be omitted
  applicationID: process.env['AVIDO_APPLICATION_ID'], // This is the default and can be omitted
});

await client.issues.create({
  source: 'TEST',
  title: 'Response quality degradation',
  priority: 'HIGH',
  type: 'BUG',
});
{
  "message": "Resource not found"
}

Authorizations

x-api-key
string
header
required

Your unique Avido API key

x-application-id
string
header
required

Your unique Avido Application ID

Body

application/json

Request body for creating a new issue

title
string
required

Title of the issue

Example:

"Response quality degradation"

source
enum<string>
required

Where the issue originated from

Available options:
TEST,
TASK,
TOPIC,
SYSTEM,
MONITORING,
API
Example:

"TEST"

description
string | null

Detailed description of the issue

Example:

"The chatbot is providing incomplete responses to user queries"

priority
enum<string>
default:MEDIUM

Priority level of the issue

Available options:
LOW,
MEDIUM,
HIGH
Example:

"HIGH"

type
enum<string>
default:BUG

Type/category of the issue

Available options:
BUG,
HUMAN_ANNOTATION,
SUGGESTED_TASK,
USER_SIGNAL
Example:

"BUG"

topicId
string<uuid>

Associated topic ID if issue came from a topic

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Example:

"789e4567-e89b-12d3-a456-426614174000"

taskId
string<uuid>

Associated task ID if issue came from a task

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Example:

"789e4567-e89b-12d3-a456-426614174000"

testId
string<uuid>

Associated test ID if issue came from a test

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Example:

"789e4567-e89b-12d3-a456-426614174000"

evalDefinitionId
string<uuid>

Associated evaluation definition ID if issue came from an evaluation

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Example:

"789e4567-e89b-12d3-a456-426614174000"

annotationId
string<uuid>

Associated annotation ID if related to an annotation

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Example:

"890e5678-e89b-12d3-a456-426614174000"

traceId
string

Associated trace ID for monitoring/debugging

Example:

"trace_abc123"

experimentId
string<uuid>

Associated experiment ID to link issue to an experiment

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Example:

"789e4567-e89b-12d3-a456-426614174000"

parentId
string<uuid>

Parent issue ID for creating sub-issues

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Example:

"123e4567-e89b-12d3-a456-426614174000"

Response

Successfully created issue